Subject: Re: [PATCH net-next v3] ethtool: doc: clarify what drivers can implement in their get_drvinfo()

From: Jakub Kicinski <[email-masked]>
Date: Tue, 15 Nov 2022 08:28:30 -0800

On Tue, 15 Nov 2022 16:52:39 +0900 Vincent MAILHOL wrote:
> - * @fw_version: Firmware version string; may be an empty string
> - * @erom_version: Expansion ROM version string; may be an empty string
> + * @fw_version: Firmware version string; drivers can set it; may be an
> + *     empty string
> + * @erom_version: Expansion ROM version string; drivers can set it;
> + *     may be an empty string

"drivers can set it" rings a little odd to my non-native-English-
-speaker's ear. Perhaps "driver-defined;" ? Either way is fine, tho.

>   * @bus_info: Device bus address.  This should match the dev_name()
>   *     string for the underlying bus device, if there is one.  May be
>   *     an empty string.
> @@ -180,9 +182,10 @@ static inline __u32 ethtool_cmd_speed(const
> struct ethtool_cmd *ep)
>   * Users can use the %ETHTOOL_GSSET_INFO command to get the number of
>   * strings in any string set (from Linux 2.6.34).
>   *
> - * Drivers should set at most @driver, @version, @fw_version and
> - * @bus_info in their get_drvinfo() implementation.  The ethtool
> - * core fills in the other fields using other driver operations.
> + * Majority of the drivers should no longer implement the
> + * get_drvinfo() callback.  Most fields are correctly filled in by the
> + * core using system information, or populated using other driver
> + * operations.

SG! Good point on the doc being for the struct. We can make the notice
even stronger if you want by saying s/Majority of the/Modern/